
QGIS Application - Bug report #17994

QGIS crashes when exiting the program

2018-01-29 11:01 AM - Stephen Eastmead

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.18.16 Regression?: No

Operating System: Window 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 25890

Description

I have had this problem along time. I have tried all the solutions I could find when searching the problem. I have since bought Revo

Uninstaller Pro 3.2.0 and extensively eliminated all past installations of QGIS as far as REVO can find. I then installed 2.18.16 and the

minidump still occurred. I used REVO to remove 2.18.16 and installed 2.14.22 which appeared not to cause the minidump when I process

Raster data as I will describe shortly. I then uninstalled 2.14.22 with REVO back to a clean install situation and installed 2.18.16 again.

The minidump came back.

From the clean install of 2.18.16 I first configured my CRS to OSGB 27700, then created the first project file naming and saving it. Then

exited QGIS when no minidump occured. I opened QGIS 2.18.16 and open the empty project and under Raster>Miscellaneous>Build

Virtual Raster loaded a single LIDAR .asc tile to create a DEM. Then saved the project and exited QGIS which caused the minidump to

C: I reopened QGIS and the same project, saved the project without doing anything, exited QGIS when no minidump occured. I opened

up the QGIS and the project again, and then did Raster> Analysis> DEM selecting the DEM file and completing the Hillshade input box by

accepting the default settings and giving the file a name. The Hillshade was created and the project save. I then exited QGIS and a

minidump to c: occurs. Finally, I opened QGIS 2.18.16 and the project again, and did Raster> Analysis> DEM selecting the DEM file and

completing the Hillshade input box by editing the hisshade parameters to 300 and 45 degrees and saving the file with a new name. The

Hillshade was produced correctly. This time I didnt save the project and exited, confirming the last operation can be discarded, which

resulted in a minidump to C: All files are available e.g. asc and dmp files

History

#1 - 2018-01-29 11:11 AM - Giovanni Manghi

- Priority changed from Normal to High

- Assignee deleted (Stephen Eastmead)

- Regression? changed from Yes to No

- Subject changed from Minidump written to C: to QGIS crashes when exiting the program

- Status changed from Open to Feedback

try (backup and) delete the ~/.qgis2 folder, then restart qgis and see of the problem persists.

#2 - 2018-01-29 12:01 PM - Stephen Eastmead

I deleted the .qgis2 folder and retested the issue. No change - the crashes still happen as described. I had previously also done this with no effect prior to

submitting the issue.

Thanks. Stephen

#3 - 2018-01-29 12:05 PM - Giovanni Manghi

Stephen Eastmead wrote:
I deleted the .qgis2 folder and retested the issue. No change - the crashes still happen as described. I had previously also done this with no effect

prior to submitting the issue.

Thanks. Stephen

add data and precise steps to allow us replicate the issue. Thanks.

#4 - 2018-01-29 12:40 PM - Stephen Eastmead

- File Step 9.jpg added

- File Steps.txt added

- File Test1 folder contents.jpg added

- File Step 10.jpg added

- File Steps 7 and 8.jpg added

- File Step7.jpg added

Process followed shown below and supporting images attached.

1. Created a new project folder: Test1

2. Added a single .asc Lidar tile to folder: Test1

3. Opened QGIS 2.18.16

4. Created new project and saved the empty project as test1.qgs

5. Closed QGIS when it closes without any error.

6. Open QGIS and test1.qgs project.

7. Do: Raster > Miscellaneous > Build Virtual Raster (Catalog)... (see image Step 7)

8. Completed the Build Virtual Raster dialogue input box selecting the .asc file and naming the output file DEM where the DEM file is saved in folder Test1

(see image Step 7 and 8)

9. See image Step 9 showing DEM created

10 Save project and exited QGIS causing crash (see image Step 10)

11 Also supplied image of Test 1 folder contents

#5 - 2018-01-29 12:45 PM - Giovanni Manghi

2. Added a single .asc Lidar tile to folder: Test1

can you add the data (or a sample that you know is causing the issue)? thanks.

#6 - 2018-01-29 01:34 PM - Stephen Eastmead

- File ny7515_DTM_2M.asc added

A different asc file is attached as the one I was using was greater than 5MB. This one demonstrates the error too, although I dont think that the asc file is

causing it.

I have also had QGIS crash by doing: Raster > Miscellaneous > Build Virtual Raster (Catalog)...  but not entering anything in the input box, but closing it,

then saving the project and exiting.

#7 - 2018-01-30 10:18 AM - Stephen Eastmead

- File Mini dump problem options.jpg added
New information: Please refer to attached image - I have drawn a red box around the problem options described next:

1. If I open a new folder and then open QGIS and creating a new project and saving using a suitable name e.g. test2.qgs, then save the empty project and

exit QGIS, then no crash occurs.

2) If I then reopen the project described in 1. above and select any of the options outlined by the red box, and as soon as the appropriate input dialogue box

opens, I then close the dialogue box without entering any data, and exit QGIS then it crashes producing a minidump file.

3) If I open any of the options outside the red box options and then close and exit QGIS, then QGIS does not crash.

The issue appears to be caused when any of the options outline by the red box is opened regardless of what is subsequently entered or if nothing is then

entered.

#8 - 2018-08-16 03:23 PM - Giovanni Manghi

Please test on 3.2 and report back, thanks.

#9 - 2018-11-11 04:16 AM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

minidump.jpg 111 KB 2018-01-29 Stephen Eastmead

DEM.vrt 4.28 KB 2018-01-29 Stephen Eastmead

315-45.tif 3.82 MB 2018-01-29 Stephen Eastmead

Step7.jpg 42.8 KB 2018-01-29 Stephen Eastmead

Steps 7 and 8.jpg 74.7 KB 2018-01-29 Stephen Eastmead

Step 9.jpg 45.6 KB 2018-01-29 Stephen Eastmead

Step 10.jpg 35.6 KB 2018-01-29 Stephen Eastmead

Test1 folder contents.jpg 35.8 KB 2018-01-29 Stephen Eastmead

Steps.txt 759 Bytes 2018-01-29 Stephen Eastmead

ny7515_DTM_2M.asc 1.84 MB 2018-01-29 Stephen Eastmead

Mini dump problem options.jpg 143 KB 2018-01-30 Stephen Eastmead
